SPA Render Data

SPA: Creates a new Render Data

Creates a new render data for the authenticated user's client.

POST/api/spa/render-data

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Request Body

application/json
required

The new RenderData resource

{
  "id": 12345,
  "value": {
    "contract": {
      "email": "john.doe@output.rocks"
    },
    "invoiceNumber": "123456",
    "invoiceDate": "12 March 2022",
    "items": [
      {
        "qty": "3",
        "ItemName": "ACP101 Accounting Package",
        "amt": "1350.00"
      },
      {
        "qty": "4.5",
        "ItemName": "ACP101S Standard Support",
        "amt": "450.00"
      },
      {
        "qty": "10",
        "ItemName": "ACP101T Online Training",
        "amt": "1200.00"
      }
    ]
  },
  "appValue": [
    "string"
  ],
  "renderingRequestId": 123,
  "emailProcesses": [
    {
      "id": 123,
      "description": "",
      "sender": "string",
      "emailTo": "user@example.com",
      "cc": "string",
      "bcc": "string",
      "fromName": "Example name",
      "replyTo": "string",
      "subject": "string",
      "body": "string",
      "text": "string",
      "metadata": [
        "string"
      ],
      "externalId": "string",
      "externalState": "string",
      "messageId": "string",
      "fileName": "",
      "docPath": "string",
      "sendStatus": "string",
      "customId": "string",
      "template": "https://example.com/",
      "renderData": "https://example.com/",
      "webhooks": [
        {
          "id": 12345,
          "identifier": "my-webhook",
          "email": false,
          "type": "sftp-document",
          "priority": 1,
          "data": {
            "host": "sftp.example.com",
            "user": "sftp-user",
            "password": "sftp-password",
            "directory": "sftp-directory/sub-directory",
            "port": 22
          },
          "configuration": [
            null
          ],
          "createdBy": "user1@company.com",
          "updatedBy": "user1@company.com",
          "createdAt": "2024-08-23T00:00:00+00:00",
          "updatedAt": "2024-08-23T00:00:00+00:00",
          "client": {},
          "subClient": {},
          "active": true,
          "activeFrom": "2024-01-01",
          "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
          "versionNumber": 1,
          "supersededAt": "2024-08-23T00:00:00+00:00",
          "changeSummaryDe": "string",
          "changeSummaryEn": "string",
          "summaryStatus": "pending",
          "groupIdentifier": "my_group",
          "groupCondition": "data['contract']['balance'] > 0",
          "subClientDefault": false,
          "subClientId": 3,
          "subClientDescription": "Branch Office A",
          "subClientColor": "#083E5D"
        }
      ],
      "mailServerConfiguration": "https://example.com/",
      "renderingRequest": "https://example.com/",
      "renderProcesses": [
        {
          "id": 123,
          "format": "pdf",
          "type": "test",
          "description": "This is a generated file description.",
          "fileName": "2024_01_01_invoice.pdf",
          "billablePages": 2,
          "documentPages": 0,
          "maxPageViolation": false,
          "docPath": "string",
          "metadata": [
            null
          ],
          "billed": false,
          "externalId": "ext-123",
          "externalState": "string",
          "customId": "INV789",
          "template": "/api/templates/123",
          "brandIdentifier": "string",
          "brandVersionNumber": 1,
          "brandLayoutPath": "string",
          "renderStartedAt": "2024-08-23T00:00:00+00:00",
          "renderDurationMs": 1,
          "renderData": "/api/render-datas/123",
          "webhooks": [
            null
          ],
          "emailProcess": null,
          "xmlProcess": null,
          "renderingRequest": "/api/rendering-request/123",
          "failedDataValidators": [
            null
          ],
          "file": "data:application/docx;base64,xxx... | data:application/pdf;base64,xxx...",
          "createdBy": "user1@company.com",
          "updatedBy": "user1@company.com",
          "createdAt": "2024-08-23T00:00:00+00:00",
          "updatedAt": "2024-08-23T00:00:00+00:00",
          "client": {},
          "subClient": {},
          "state": "done",
          "workflowLog": "[2024-01-01 00:00:00] Rendering set to blocked because of paused Template",
          "blocked": false,
          "wfData": [
            null
          ],
          "batchAction": "https://example.com/",
          "doneAt": "2024-08-23T00:00:00+00:00",
          "anonymization": "2024-08-23T00:00:00+00:00",
          "anonymized": false,
          "reviewRequired": false,
          "reviewedBy": "string",
          "reviewedAt": "2024-01-01T00:00:00Z",
          "prefix": "string",
          "eInvoice": true,
          "renderingRequestOrNull": "https://example.com/",
          "subClientId": 3,
          "subClientDescription": "Branch Office A",
          "subClientColor": "#083E5D",
          "webhooksToExecute": true,
          "nextWebhookToExecute": "https://example.com/"
        }
      ],
      "emailAttachments": [
        {
          "id": 123,
          "identifier": "string",
          "description": "",
          "fileName": "Example name",
          "path": "string",
          "file": null,
          "createdBy": "user1@company.com",
          "updatedBy": "user1@company.com",
          "createdAt": "2024-08-23T00:00:00+00:00",
          "updatedAt": "2024-08-23T00:00:00+00:00",
          "client": {},
          "subClient": {},
          "brandIdentifier": "default",
          "active": true,
          "activeFrom": "2024-01-01",
          "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
          "versionNumber": 1,
          "supersededAt": "2024-08-23T00:00:00+00:00",
          "changeSummaryDe": "string",
          "changeSummaryEn": "string",
          "summaryStatus": "pending",
          "groupIdentifier": "my_group",
          "groupCondition": "data['contract']['balance'] > 0",
          "validationCondition": "string",
          "subClientDefault": false,
          "subClientId": 3,
          "subClientDescription": "Branch Office A",
          "subClientColor": "#083E5D"
        }
      ],
      "emailNotification": {
        "id": 123,
        "origin": "string",
        "messageId": "string",
        "type": "string",
        "eventType": "string",
        "emailProcess": null,
        "message": [
          null
        ],
        "metadata": [
          null
        ],
        "createdBy": "user1@company.com",
        "updatedBy": "user1@company.com",
        "createdAt": "2024-08-23T00:00:00+00:00",
        "updatedAt": "2024-08-23T00:00:00+00:00",
        "client": {},
        "subClient": {},
        "state": "done",
        "workflowLog": "[2024-01-01 00:00:00] Rendering set to blocked because of paused Template",
        "blocked": false,
        "wfData": [
          null
        ],
        "batchAction": "https://example.com/",
        "subClientId": 3,
        "subClientDescription": "Branch Office A",
        "subClientColor": "#083E5D"
      },
      "emailNotifications": [
        {
          "id": 123,
          "origin": "string",
          "messageId": "string",
          "type": "string",
          "eventType": "string",
          "emailProcess": null,
          "message": [
            null
          ],
          "metadata": [
            null
          ],
          "createdBy": "user1@company.com",
          "updatedBy": "user1@company.com",
          "createdAt": "2024-08-23T00:00:00+00:00",
          "updatedAt": "2024-08-23T00:00:00+00:00",
          "client": {},
          "subClient": {},
          "state": "done",
          "workflowLog": "[2024-01-01 00:00:00] Rendering set to blocked because of paused Template",
          "blocked": false,
          "wfData": [
            null
          ],
          "batchAction": "https://example.com/",
          "subClientId": 3,
          "subClientDescription": "Branch Office A",
          "subClientColor": "#083E5D"
        }
      ],
      "failedDataValidators": [
        {
          "id": 123,
          "identifier": "string",
          "description": "",
          "condition": "string",
          "errorMessage": "string",
          "invalidOnTrue": false,
          "templates": [
            null
          ],
          "emailTemplates": [
            null
          ],
          "createdBy": "user1@company.com",
          "updatedBy": "user1@company.com",
          "createdAt": "2024-08-23T00:00:00+00:00",
          "updatedAt": "2024-08-23T00:00:00+00:00",
          "client": {},
          "subClient": {},
          "active": true,
          "activeFrom": "2024-01-01",
          "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
          "versionNumber": 1,
          "supersededAt": "2024-08-23T00:00:00+00:00",
          "changeSummaryDe": "string",
          "changeSummaryEn": "string",
          "summaryStatus": "pending",
          "subClientDefault": false,
          "subClientId": 3,
          "subClientDescription": "Branch Office A",
          "subClientColor": "#083E5D"
        }
      ],
      "client": {},
      "subClient": {},
      "createdBy": "user1@company.com",
      "updatedBy": "user1@company.com",
      "createdAt": "2024-08-23T00:00:00+00:00",
      "updatedAt": "2024-08-23T00:00:00+00:00",
      "state": "done",
      "workflowLog": "[2024-01-01 00:00:00] Rendering set to blocked because of paused Template",
      "blocked": false,
      "wfData": [
        "string"
      ],
      "batchAction": "https://example.com/",
      "doneAt": "2024-08-23T00:00:00+00:00",
      "anonymization": "2024-08-23T00:00:00+00:00",
      "anonymized": false,
      "reviewRequired": false,
      "reviewedBy": "string",
      "reviewedAt": "2024-01-01T00:00:00Z",
      "prefix": "string",
      "renderingRequestOrNull": "https://example.com/",
      "subClientId": 3,
      "subClientDescription": "Branch Office A",
      "subClientColor": "#083E5D",
      "webhooksToExecute": true,
      "nextWebhookToExecute": "https://example.com/"
    }
  ],
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "client": {},
  "subClient": {},
  "subClientId": 3,
  "subClientDescription": "Branch Office A",
  "subClientColor": "#083E5D"
}

Response

201application/json

RenderData resource created

id
integer

RenderData ID generated by Output.Rocks.

Example: 12345

value
object

Data Object

Example: {"contract":{"email":"john.doe@output.rocks"},"invoiceNumber":"123456","invoiceDate":"12 March 2022","items":[{"qty":"3","ItemName":"ACP101 Accounting Package","amt":"1350.00"},{"qty":"4.5","ItemName":"ACP101S Standard Support","amt":"450.00"},{"qty":"10","ItemName":"ACP101T Online Training","amt":"1200.00"}]}

appValue
string | null[]
renderingRequestId
integer | null

ID of the RenderingRequest associated with this render data.

emailProcesses
object[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"